<template>
    <div>
        <div class="box">
            <input class="input is-large" type="text" placeholder="Large input" v-bind="itemData.data.name">
        </div>
        <div class="box">
            <input class="input is-large" type="text" placeholder="Large input" v-bind="itemData.data.email">
        </div>
    </div>

</template>

<script>
import {computed, inject, reactive} from 'vue';
import {useRoute} from 'vue-router';

export default {
    name: 'Detail',
    setup() {
        const { getItem } = inject('itemStore');

        let itemData = reactive({

        })
        const itemId = computed(
            () => {
                const route = useRoute();
                const id = route.params.id;
                itemData = getItem(id);
                console.log(itemData);
                return id;
            }
        );


        return {
            itemId,
            itemData
        }
    },
}
</script>

<style>

</style>